Skip to main content
GET
/
accounts
/
{id}
/
dms
List DM threads
curl --request GET \
  --url https://api.social-api.ai/v1/accounts/{id}/dms \
  --header 'Authorization: <api-key>'
{
  "count": 42,
  "data": [
    {
      "account_id": "acc_01HZ9X3Q4R5M6N7P8V2K0W1J",
      "author": {
        "avatar_url": "https://example.com/avatar.jpg",
        "id": "17841405793187218",
        "name": "Jane Smith"
      },
      "content": {
        "media": [
          {
            "type": "image",
            "url": "https://cdn.example.com/photo.jpg"
          }
        ],
        "text": "Love this product! Really glad I found it."
      },
      "created_at": "2026-02-15T14:30:00Z",
      "id": "socapi_cmt_aW5zdGFncmFtOjE3ODQxNDA1",
      "metadata": {},
      "platform": "instagram",
      "platform_id": "17841405793187218",
      "type": "comment"
    }
  ]
}

Authorizations

Authorization
string
header
required

Prefix your API key with "Bearer ". Example: Authorization: Bearer soc_live_...

Path Parameters

id
string
required

Connected account ID

Query Parameters

since
string

Return only threads active after this timestamp (RFC3339)

limit
integer

Maximum number of results to return (1–100, default 50)

cursor
string

Pagination cursor returned by the previous response

Response

Paginated list of DM threads

count
integer
Example:

42

data
object[]